if select(2, UnitClass"player") ~= "HUNTER" then return end

function Talented:GetPetClass()
	local _, _, _, texture = GetTalentTabInfo(1, nil, true)
	return texture and texture:sub(10)
end
function Talented:PET_TALENT_POINTS_CHANGED()
	local class = self:GetPetClass()
	if not class then return end
	self:FixAlternatesTalents(class)
	local template = self.pet_current
	if not template then
		template = {
			pet = true,
			talentGroup = 1,
			name = "Current",
			
		}
		self.pet_current = template
	end
	template.class = class
	local info = self:UncompressSpellData(class)
	for tab, tree in ipairs(info) do
		template[tab] = {}
		for index in ipairs(tree) do
			local rank = select(5, GetTalentInfo(tab, index, nil, true))
			template[tab][index] = rank
		end
	end
	for _, view in self:IterateTalentViews(template) do
		view:Update()
	end
	if self.mode == "apply" then
		self:CheckTalentPointsApplied()
	end
end

function Talented:UNIT_PET(_, unit)
	if unit == "player" then
		self:PET_TALENT_POINTS_CHANGED()
	end
end

function Talented:InitializePet()
	self:RegisterEvent"UNIT_PET"
	self:RegisterEvent"PET_TALENT_POINTS_CHANGED"
	self:PET_TALENT_POINTS_CHANGED()
end

function Talented:FixAlternatesTalents(class)
	if not GetTalentInfo(1, 1, nil, true) then return end
	local data = self:UncompressSpellData(class)[1]
	for index, info in ipairs(data) do
		if index < #data and info.row == data[index + 1].row and info.column == data[index + 1].column then
			local talent = GetTalentInfo(1, index, nil, true)
			local next_talent = GetTalentInfo(1, index + 1, nil, true)
			if talent then
				assert(not next_talent)
				info.inactive = nil
				data[index + 1].inactive = true
			else
				assert(next_talent)
				info.inactive = true
				data[index + 1].inactive = nil
			end
			for _, template in pairs(self.db.global.templates) do
				if template.class == class then
					local value = template[1][index] + template[1][index + 1]
					if talent then
						template[1][index] = value
						template[1][index + 1] = 0
					else
						template[1][index] = 0
						template[1][index + 1] = value
					end
				end
			end
		end
	end
	for _, view in self:IterateTalentViews() do
		if view.class == class then
			view:SetClass(view.class, true)
		end
	end
end